Description

Insert color dialog from ThelDE on my full hd monitor is cutted. Probably the problem is related to this method:

void RGBACtrl::Layout()
{
Size sz = GetSize();
int ah = IconDesImg::Alpha().GetHeight() + 20;
int th = text.GetStdHeight(text.GetFont());
inten=4-20-ah-th-4;
int rh = min(sz.cx - (sz.cx >> 3), sz.cy - eh);
ramp.BottomPos(0, rh).HSizePos();
inty =sz.cy-rh-4-ah;
alpha.TopPos(y, ah).HSizePos(1, 0);
text. TopPos((y -= 4 + th), th).HSizePos(1, 0);
cbox.cx = (sz.cx - 3) / 18;
cbox.cy = minmax(cbox.cx, 4, Zy(16));
int ch = 14 * cbox.cy;
CcsS.X = (sz.cx - 18 * cbox.cx) / 2 + 1;
cs.y = (y-=ch +4);
if(subctrl)
subctrl->TopPos(0, y - 4).HSizePos(1, 0);

// or this one:

void RGBACtrl::Paint(Draw& w)
{
w.DrawRect(GetSize(), SColorFace);
if(alpha.lsMask())
return;
for(int x = 0; x <= 18; X++)
w.DrawRect(x * cbox.cx + ¢s.x, ¢s.y, 1, cbox.cy * 14, SColorText());
inti=0;
intmy =cs.y + 1;
w.DrawRect(cs.x, cs.y + 14 * cbox.cy, cbox.cx * 18 + 1, 1, SColorText());
Point pp = Null;
for(inty = 0;y < 14; y++) {
w.DrawRect(cs.x, my - 1, cbox.cx * 18 + 1, 1, SColorText());
intmx =csx+1;
for(int x = 0; x < 18; x++) {
Color ¢ = GetColor(i++);
w.DrawRect(mx, my, cbox.cx - 1, cbox.cy - 1, ¢);
if(c == color)

04/26/2025 12




pp = Point(mx, my);
mX += cbox.cx;
}
my += cbox.cy;
}

if(!IsNull(pp)) {
Size isz = Ctrlimg::wheel_cursor().GetSize();

pp = pp + (cbox - isz) / 2;
w.Drawlmage(pp.x, pp.y, Ctrlimg::wheel_cursor(),
Grayscale(color) < 120 ? White() : Black());

History

#1 - 05/05/2019 09:57 PM - Zbigniew Rebacz

- Subject changed from RGBACtrl doesn't scale well to RGBACtrl doesn't scale well (no UHD support)

#2 - 05/05/2019 09:58 PM - Zbigniew Rebacz
- Description updated

#3 - 06/23/2019 08:52 PM - Miroslav Fidler
- Status changed from New to Ready for QA
- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

#4 - 06/23/2019 11:24 PM - Zbigniew Rebacz
- Status changed from Ready for QA to Approved
